Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ProducerInfo

    java.lang.Object
      com.sun.messaging.jms.management.server.ProducerInfo

All Implemented Interfaces:
  java.io.Serializable

    public class ProducerInfo

extends java.lang.Object
implements java.io.Serializable

This class contains constants/names for fields in the CompositeData that is returned by the operations of the Producer Manager Monitor MBean.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONNECTION_ID` Connection ID
`static java.lang.String` | `CREATION_TIME` Creation Time
`static java.lang.String` | `DESTINATION_NAME` Destination Name
`static java.lang.String` | `DESTINATION_NAMES` Destination Names (that match wildcard)
`static java.lang.String` | `DESTINATION_TYPE` Destination Type
`static java.lang.String` | `FLOW_PAUSED` Flow Paused
`static java.lang.String` | `HOST` Host
`static java.lang.String` | `NUM_MSGS` Number of messages sent from producer.
`static java.lang.String` | `PRODUCER_ID` Producer ID
`static java.lang.String` | `SERVICE_NAME` Service Name
`static java.lang.String` | `USER` User
`static java.lang.String` | `WILDCARD` Wildcard (whether the producer is a wildcard or not)

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_ID

    public static final java.lang.String CONNECTION_ID

  Connection ID

  See Also:
    Constant Field Values

### CREATION_TIME

    public static final java.lang.String CREATION_TIME

  Creation Time

  See Also:
    Constant Field Values

### DESTINATION_NAME

    public static final java.lang.String DESTINATION_NAME

  Destination Name

  See Also:
    Constant Field Values

### DESTINATION_NAMES

    public static final java.lang.String DESTINATION_NAMES

  Destination Names (that match wildcard)

  See Also:
    Constant Field Values

### DESTINATION_TYPE

    public static final java.lang.String DESTINATION_TYPE

  Destination Type

  See Also:
    Constant Field Values

### FLOW_PAUSED

    public static final java.lang.String FLOW_PAUSED

  Flow Paused

  See Also:
    Constant Field Values

### HOST

    public static final java.lang.String HOST

  Host

  See Also:
    Constant Field Values

### NUM_MSGS

    public static final java.lang.String NUM_MSGS

  Number of messages sent from producer.

  See Also:
    Constant Field Values

### PRODUCER_ID

    public static final java.lang.String PRODUCER_ID

  Producer ID

  See Also:
    Constant Field Values

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

  Service Name

  See Also:
    Constant Field Values

### USER

    public static final java.lang.String USER

  User

  See Also:
    Constant Field Values

### WILDCARD

    public static final java.lang.String WILDCARD

  Wildcard (whether the producer is a wildcard or not)

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.